Bug 250265 - SELinux not allowing communication/install of Samsumg ML2010 Printer
SELinux not allowing communication/install of Samsumg ML2010 Printer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 11:01 EDT by Malcolm Purdy
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:08:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Malcolm Purdy 2007-07-31 11:01:40 EDT
Description of problem:
Summary
    SELinux is preventing /usr/sbin/cupsd (cupsd_t) "execute_no_trans" to
    /usr/lib/cups/backend/mfp (lib_t).

Detailed Description
    SELinux denied access requested by /usr/sbin/cupsd. It is not expected that
    this access is required by /usr/sbin/cupsd and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for /usr/lib/cups/backend/mfp,
    restorecon -v /usr/lib/cups/backend/mfp If this does not work, there is
    currently no automatic way to allow this access. Instead,  you can generate
    a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:cupsd_t:SystemLow-SystemHigh
Target Context                root:object_r:lib_t
Target Objects                /usr/lib/cups/backend/mfp [ file ]
Affected RPM Packages         cups-1.2.12-1.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-29.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.22.1-33.fc7 #1 SMP
                              Mon Jul 23 17:33:07 EDT 2007 i686 i686
Alert Count                   1
First Seen                    Tue 31 Jul 2007 10:45:28 AM EDT
Last Seen                     Tue 31 Jul 2007 10:45:28 AM EDT
Local ID                      26ee37fd-c930-4e37-9652-f70472d3e2eb
Line Numbers                  

Raw Audit Messages            

avc: denied { execute_no_trans } for comm="cupsd" dev=dm-0 egid=7 euid=4
exe="/usr/sbin/cupsd" exit=-13 fsgid=7 fsuid=4 gid=7 items=0 name="mfp"
path="/usr/lib/cups/backend/mfp" pid=3735
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 sgid=7
subj=system_u:system_r:cupsd_t:s0-s0:c0.c1023 suid=4 tclass=file
tcontext=root:object_r:lib_t:s0 tty=(none) uid=4



Version-Release number of selected component (if applicable):


How reproducible:
I am trying to install my Samsung ML-2010 under F7--it worked under F6 with no
problems. I installed the latest printer driver from Samsung
(20070720162817953_UnifiedLinuxDriver.tar.gz) and the printer shows up as
installed, but still cannot print to it. SELinux keeps blocking the attempt to
communicate with the printer.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2007-07-31 13:01:14 EDT
This is a mislabled file

restorecon /usr/lib/cups/backend/mfp

should fix it.
Comment 2 Daniel Walsh 2007-07-31 13:05:40 EDT
Tim,

Does anything exec these backend scripts other then cups?
Comment 3 Tim Waugh 2007-07-31 13:14:16 EDT
No, nothing.
Comment 4 Daniel Walsh 2007-07-31 14:13:02 EDT
Default labeling on the backend directory fixed in selinux-policy-2.6.4-30
Comment 5 Daniel Walsh 2007-08-22 10:08:12 EDT
Closing as fixes are in the current release

Note You need to log in before you can comment on or make changes to this bug.